Subject: Re: sdr

From: Ali Boudani <[email-masked]>
Date: Fri, 04 May 2001 14:32:07 +0200

hello again,
1- If we think that the problem is that SDR dont scale, then can we say that
with sdr there is no collision problem ??
2- the collision is made by whom , the application??
how does an aplication choose an address group ??

thanx

Pavlin Ivanov Radoslavov wrote:

> > sdr is used to announce an address for an application and that address
> > is used taking into account different parameters (region, ...). so what
> > is the difference in general with Malloc and MASC??
>
> sdr is here and works (assuming that everybody uses sdr to allocate
> mcast addresses). However, sdr will not scale to a large number of
> groups, therefore the need for malloc. Both MASC and AAP, which are
> part of the malloc arcitecture, use the same principle for address
> allocation as sdr, except that it has been adapted for the
> particular requrements for MASC or AAP.
>
> Pavlin

---

From: Pavlin Ivanov Radoslavov <[email-masked]>
Date: Fri, 04 May 2001 09:14:41 -0700

> with sdr there is no collision problem ??

Just the opposite. If too many people use sdr to allocate addresses,
this solution will not scale for two major reasons:
 a) There will be too much control traffic.
 b) The probability for collision will be very high and therefore
 for practical purposes it will take very long time to allocate an
 address.

> how does an aplication choose an address group ??

sdr chooses the address(es) and all collisions happen at the sdr
level. If the allocation succeedes, then sdr will provide the
address to the application(s) (only those applications that are
explicitly supported by sdr for auto-launch) . BTW, please note that
sdr does not have real API so it cannot be used directly by any
application; instead it is more like a GUI-based interface.

Regards,
Pavlin

---

From: Colin Perkins <[email-masked]>
Date: Fri, 04 May 2001 12:25:29 -0400

> for practical purposes it will take very long time to allocate an

I'd say that b) is probably the main issue: SAP traffic should back-off 
to avoid the problem of too much control traffic, but the time taken to
allocate an address will become large very quickly.

>application; instead it is more like a GUI-based interface.

Sure, but an application could run the SAP protocol directly (or one could
use another means to communicate with a long-running SAP agent). This is 
much the same as running a single global allocation domain with the MALLOC
protocols though.

Colin